Installation Failed on local machine due to docker-compose

Can someone tell me why this is happening during “tutor local quickstart” ?? I am not that proficient with docker or docker-compose.
My PC: ASUS TUF Gaming A15 with UBUNTU latest version (20.04 as of now).

Error Showing in terminal:

==================================================
        Interactive platform configuration
==================================================
Are you configuring a production platform? Type 'n' if you are just testing Tutor on your local computer [y/N] n
As you are not running this platform in production, we automatically set the following configuration values:
    LMS_HOST = local.overhang.io
    CMS_HOST = studio.local.overhang.io
    ENABLE_HTTPS = False
Your platform name/title [testingOpenEdx] 
Your public contact email address [amar.naam.machine@gmail.com] 
The default language code for the platform [en] 
Configuration saved to /home/miu/.local/share/tutor/config.yml
Environment generated in /home/miu/.local/share/tutor/env
==============================================
        Stopping any existing platform
==============================================
docker-compose -f /home/miu/.local/share/tutor/env/local/docker-compose.yml -f /home/miu/.local/share/tutor/env/local/docker-compose.prod.yml --project-name tutor_local stop
Traceback (most recent call last):
  File "urllib3/connectionpool.py", line 677, in urlopen
  File "urllib3/connectionpool.py", line 392, in _make_request
  File "http/client.py", line 1277, in request
  File "http/client.py", line 1323, in _send_request
  File "http/client.py", line 1272, in endheaders
  File "http/client.py", line 1032, in _send_output
  File "http/client.py", line 972, in send
  File "docker/transport/unixconn.py", line 43, in connect
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "requests/adapters.py", line 449, in send
  File "urllib3/connectionpool.py", line 727, in urlopen
  File "urllib3/util/retry.py", line 410, in increment
  File "urllib3/packages/six.py", line 734, in reraise
  File "urllib3/connectionpool.py", line 677, in urlopen
  File "urllib3/connectionpool.py", line 392, in _make_request
  File "http/client.py", line 1277, in request
  File "http/client.py", line 1323, in _send_request
  File "http/client.py", line 1272, in endheaders
  File "http/client.py", line 1032, in _send_output
  File "http/client.py", line 972, in send
  File "docker/transport/unixconn.py", line 43, in connect
urllib3.exceptions.ProtocolError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "docker/api/client.py", line 214, in _retrieve_server_version
  File "docker/api/daemon.py", line 181, in version
  File "docker/utils/decorators.py", line 46, in inner
  File "docker/api/client.py", line 237, in _get
  File "requests/sessions.py", line 543, in get
  File "requests/sessions.py", line 530, in request
  File "requests/sessions.py", line 643, in send
  File "requests/adapters.py", line 498, in send
requests.exceptions.ConnectionError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "docker-compose", line 3, in <module>
  File "compose/cli/main.py", line 81, in main
  File "compose/cli/main.py", line 200, in perform_command
  File "compose/cli/command.py", line 70, in project_from_options
  File "compose/cli/command.py", line 153, in get_project
  File "compose/cli/docker_client.py", line 43, in get_client
  File "compose/cli/docker_client.py", line 170, in docker_client
  File "docker/api/client.py", line 197, in __init__
  File "docker/api/client.py", line 222, in _retrieve_server_version
docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', PermissionError(13, 'Permission denied'))
[4260] Failed to execute script docker-compose
Error: Command failed with status 255: docker-compose -f /home/miu/.local/share/tutor/env/local/docker-compose.yml -f /home/miu/.local/share/tutor/env/local/docker-compose.prod.yml --project-name tutor_local stop

Did you install this via pip or via the binary?

from pip install I get the error from the oneclick binary I don’t

@max_fletcher as suggested by the troubleshooting docs, are you able to run the following command? (not as root, but as a regular user)

docker run --rm hello-world

I tried both. I believe both shows the same problem which is twice as frustrating.

Yes. That runs perfectly fine.

Check the outgoing firewall to make sure its open for udp and tcp requests.

This does not look like an issue related to Tutor, but more to docker-compose. What is your version of docker and docker-compose?

docker --version
which docker-compose
docker-compose --version

docker --version gives me this:
Docker version 20.10.6, build 370c289
docker-compose --version gives me this:
docker-compose version 1.29.1, build c34c88b2

BTW will it be a huge problem if I use pip3 to install docker and docker-compose ?? Mine didn’t work work with just pip at the time so used pip3 instead.

@max_fletcher Are you 100% sure that docker run --rm hello-world is working? This should work NOT as sudo user, but as the same user that you are using to run tutor. To convince us, please paste here the exact command and the full output of the following exact command:

echo $UID && docker run --rm hello-world

Please forgive my doubts, but the behaviour you are observing is quite surprising to me.